JavaScript Firefox addon compatibilty with version 11 firefox addon compatibility check disable,firefox addon compatibility,firefox addon

I made an addon for Firefox and it works with the latest version. My problem is that I want it to work with all versions of Firefox. How can I do this?

Info:

  • I used the Add-on SDK to make the extension.
  • I use jQuery too in my extension, could it come form here?
Answer:1

Add-on SDK 1.14 (the current release) marks add-ons compatible with Firefox 19 and disallows installation in older Firefox versions. If you don't like that you have several options:

  • Edit app-extension/install.rdf in your Add-on SDK install and set minVersion to something other than Firefox 19. If your extension is simple you might even get away with that and your extension will actually work in older Firefox versions, maybe even in Firefox 4 (definitely not below that however, restartless extensions were introduced in Firefox 4). This is obviously not supported and verifying that everything really works correctly (e.g. no memory leaks) will be close to impossible.
  • You can get an old version of the Add-on SDK. You will not get any of the improvements in the newer Add-on SDK versions but you get support for old Firefox versions. You will still need an Add-on SDK version that's compatible to at least Firefox 10 however, otherwise your add-ons won't install in current Firefox versions (Firefox 10 is where the "compatible by default" switch was flipped). Also, regardless of compatibility flags - while your extension might work correctly in current Firefox versions, it's just as likely that it won't.
  • You can drop the Add-on SDK and just create a classic extension. Then you can set the compatibility boundaries to anything you like. Taking care of backwards compatibility will also be your responsibility however - and depending on what range of Firefox versions you want to support this is a very non-trivial task.

The main question is however: why do you want that? The current Extended Support Release is Firefox 18, so no version below Firefox 18 is supported by Mozilla. There are of course a few users on outdated Firefox versions for some reason but people who don't update also rarely go install new extensions. So, do you really want to spend tons of time making your extension work in Firefox 1.0 (release 2004)? How about Firefox 4 (released 2011)? How much effort do you want to invest into staying compatible with old versions when there are tons of addon-relevant changes in each single release?

Answer:2

I'm trying to have a div with the currently playing video's title change when a user clicks a relevant video (when the video ends), so that the correct title is displayed. The problem is, I don't see ...

I'm trying to have a div with the currently playing video's title change when a user clicks a relevant video (when the video ends), so that the correct title is displayed. The problem is, I don't see ...

  1. change video with
  2. change song with video
  3. change video format
  4. change video resolution online
  5. change video speed
  6. change video to mp3
  7. change video speed online
  8. change video size
  9. change video resolution
  10. change video format online
  11. change video to gif
  12. change video orientation
  13. change video background
  14. change video aspect ratio
  15. change video aspect ratio online
  16. change video to mp4
  17. change video background online
  18. change video format to mp4
  19. change video size online
  20. change video thumbnail facebook

I have two li's which, by using javascript, is the same width of a certain li. The li is fluid css so it changes according to the browser width. The li becomes the same width as the other li when I ...

I have two li's which, by using javascript, is the same width of a certain li. The li is fluid css so it changes according to the browser width. The li becomes the same width as the other li when I ...

<ul id="bad-drifting"> <li>text</li> </ul> http://jsfiddle.net/wZ8MC/2/ jQuery(document).ready(function() { if (jQuery('#bad-drifting').has('em')) { jQuery('#...

<ul id="bad-drifting"> <li>text</li> </ul> http://jsfiddle.net/wZ8MC/2/ jQuery(document).ready(function() { if (jQuery('#bad-drifting').has('em')) { jQuery('#...

I am merely looking for some help as a newbie learning webdesign, please understand I am still in the very early stages of learning when answering my question. I have the following: <script src="...

I am merely looking for some help as a newbie learning webdesign, please understand I am still in the very early stages of learning when answering my question. I have the following: <script src="...

  1. javascript jquery image carousel
  2. jquery script for zooming image on mouseover
  3. javascript jquery image